Bug 862877 (CVE-2012-0957)

Summary: CVE-2012-0957 kernel: uts: stack memory leak in UNAME26
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bhu, iboverma, jkacur, jneedle, lgoncalv, mcressma, rt-maint, security-response-team, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121009,reported=20121003,source=vendor-sec,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,cwe=CWE-401[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 09:25:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 862881, 864822, 864824    
Bug Blocks: 862886    

Description Petr Matousek 2012-10-03 15:58:06 EDT
Description of the problem:
The uname() syscall since 3.0 with the UNAME26 personality leaks kernel
stack memory contents.

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.
Comment 4 Petr Matousek 2012-10-03 16:09:57 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 6.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise MRG 2.
Comment 6 Petr Matousek 2012-10-10 04:11:18 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 864824]
Comment 7 Petr Matousek 2012-10-10 04:12:33 EDT
Upstream proposed patch:

https://lkml.org/lkml/2012/10/9/550
Comment 8 John Kacur 2012-11-06 06:12:07 EST
This is the upstream patch
git describe --all --contains 2702b1526c7278c4d65d78de209a465d4de2885e
tags/v3.7-rc2~10^2~5
Comment 9 errata-xmlrpc 2012-12-04 14:59:18 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1491 https://rhn.redhat.com/errata/RHSA-2012-1491.html